- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# osggeodemo.cpp File Reference

`#include <stdio.h>`
`#include <osgProducer/Viewer>`
`#include <osg/Node>`
`#include <osg/Notify>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgGA/TrackballManipulator>`
`#include <osgGA/FlightManipulator>`
`#include <osgGA/DriveManipulator>`
`#include <osgGA/AnimationPathManipulator>`
`#include <osgDB/WriteFile>`
`#include <osgDB/FileUtils>`
`#include <osgDB/FileNameUtils>`
`#include <osgUtil/Optimizer>`
`#include "../../src/osgPlugins/geo/osgGeoAnimation.h"`

Include dependency graph for osggeodemo.cpp:

## Functions
double | DEG2RAD (const double val)
double | RAD2DEG (const double val)
double | dodynamics (const double, const double val, const std::string name)
int | main (int argc, char **argv)

## Function Documentation

double DEG2RAD | ( | const double | val | ) | `[inline]`

double dodynamics | ( | const | double,
|  | const double | val,
|  | const std::string | name
| ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |

double RAD2DEG | ( | const double | val | ) | `[inline]`